skip to navigation
skip to content

kotti_tinymce 0.3

TinyMCE plugins for Kotti

Latest Version: 0.5.4

TinyMCE plugins for Kotti.


To activate the kotti_tinymce add-on in your Kotti site, you need to add an entry to the kotti.configurators setting in your Paste Deploy config. If you don’t have a kotti.configurators option, add one. The line in your [app:main] section could then look like this:

kotti.configurators = kotti_tinymce.kotti_configure

With this, you’ll be able to use TinyMCE in your Kotti site.



  • Support js.deform (available with Kotti >= 0.8) to only include the JS when rendering a RichTextWidget.


  • Fix JS errors caused by calling tinyMCEPopup.onInit.add from a wrong place.


  • Explicitly set relative_urls to false on TinyMCE initialization. This fixes a bug when trying to add an image while adding a page.


  • added German translation
  • use TinyMCE’s translations


  • fix requirement version conflict (now: Kotti>=0.7dev)


  • kotti_tinymce is a direct dependency of Kotti now
  • use Kotti’s “new style” edit_needed


  • get rid of Products.TinyMCE
  • use fanstatic
  • add custom ‘kottibrowser’ TinyMCE plugin

0.1 - Unreleased

File Type Py Version Uploaded on Size
kotti_tinymce-0.3.tar.gz (md5) Source 2012-10-28 9KB
  • Downloads (All Versions):
  • 80 downloads in the last day
  • 432 downloads in the last week
  • 2063 downloads in the last month